Bug 183153 - Anaconda downgrades newer packages on system
Anaconda downgrades newer packages on system
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-26 19:55 EST by Jim Cornette
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-27 15:30:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upgrade log which actually downgraded system. (5.36 KB, text/plain)
2006-02-26 19:55 EST, Jim Cornette
no flags Details
packages pulled in on post upgrade update (2.34 KB, text/plain)
2006-02-26 21:39 EST, Jim Cornette
no flags Details

  None (edit)
Description Jim Cornette 2006-02-26 19:55:35 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Upgrade system using installation disc for FC5T3
2. Notice packages being pulled in that were already upgraded to later version.
3. Reboot after "Successful" prompt reached 
  
Actual results:

Anaconda downgraded many packages which had newer versions installed already.

Expected results:

Expected for newer packages to be detected and only newer or packages with
missing dependecies were updated


Additional info:

I have used the installer before when packages newer than those installed on the
system were installed. Newer packages were ignored and only a few packages were
upgraded. 
This is unexpected action from the updater.
Comment 1 Jim Cornette 2006-02-26 19:55:35 EST
Created attachment 125292 [details]
Upgrade log which actually downgraded system.
Comment 2 Jim Cornette 2006-02-26 21:39:18 EST
Created attachment 125299 [details]
packages pulled in on post upgrade update

The system was updated completely before performing the upgrade. These are the
packages re-installed.
Comment 3 Jeremy Katz 2006-02-27 13:01:23 EST
What did you initially have installed?
Comment 4 Jim Cornette 2006-02-27 13:43:25 EST
Initially, I had an earlier version of Fedora. The installer failed and I
removed all partitions. When I could not install FC5T3 to a disk where all
partitions were removed, I reinstalled FC5T2 which took well. I selected a /boot
/home and an LVM with / and swap contained within.
Later, I made a local repo of baseurl=file:///media/usbdvd which the DVD drive
mountpoint I created and mounted the repo. I then ran yum -y update and the
system is now updated to FC5T3. On reboot with the FC5T3 updates completely
applied, my DVD drive was recognized as /media/disk and the repo information was
rpmsaved and I reconfigured the repo for baseurl=file:///media/disk
I can get FC5T3 on the system the hard way by incremental phases. I cannot
install FC5T3 directly and would like to help figure out where the installer
changed to halt the system.
Thanks!
Jim
Comment 5 Jim Cornette 2006-02-27 14:28:58 EST
Disregard comment #4. I was thinking of the bug for USB DVD drives.

I originally had FC5T1 installed and upgraded using rawhide pruning through
problems until FC5T2 was released. I did install Fedora Release for FC5T2 but
updated via rawhide until FC5T3 was released.
I upgraded with current rawhide as of yesterday. I then decided that I'd run an
upgrade to pul in Fedora release and maybe a few other packages related to  comps.

What I ended up with was the downgrading of many packages, two programs from
Fedora-extras (games) not meeting Mesa library and needed to be uninstalled.
I then reupgraded to rawhide and installed the packages listed above.

Sorry for comment #4 above.
Comment 6 Jeremy Katz 2006-02-27 15:30:19 EST
Upgrades from random points in the development tree like this aren't supported.
Comment 7 Jim Cornette 2006-02-28 10:20:19 EST
I figured the answer would reference unsupported. Having the installer downgrade
with disregarding newer packages is not a valued trait. Something is amiss
within the installer for this action to happen.

Filed more for an FYI to improve the installer rather than forced installations
with no regard to actually installed rpms.

I'll keep in mind that this problem could happen and avoid retro-installation to
pull in fedora-release, comps, etc:

Thanks,
Jim

Note You need to log in before you can comment on or make changes to this bug.